/**************************************************************************/
/* File: hms30c7202_can.h - Hynix HMS30c7202 ARM integrated C_CAN handling*/
/*                                                                        */
/* LinCAN - (Not only) Linux CAN bus driver                               */
/* Copyright (C) 2002-2009 DCE FEE CTU Prague <http://dce.felk.cvut.cz>   */
/* Copyright (C) 2002-2009 Pavel Pisa <pisa@cmp.felk.cvut.cz>             */
/* Copyright (C) 2004 Sebastian Stolzenberg <stolzi@sebastian-stolzenberg.de> */
/* Funded by OCERA and FRESCOR IST projects                               */
/* Based on CAN driver code by Arnaud Westenberg <arnaud@wanadoo.nl>      */
/* and Ake Hedman, eurosource <akhe@eurosource.se>                        */
/*                                                                        */
/* LinCAN is free software; you can redistribute it and/or modify it      */
/* under terms of the GNU General Public License as published by the      */
/* Free Software Foundation; either version 2, or (at your option) any    */
/* later version.  LinCAN is distributed in the hope that it will be      */
/* useful, but WITHOUT ANY WARRANTY; without even the implied warranty    */
/* of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU    */
/* General Public License for more details. You should have received a    */
/* copy of the GNU General Public License along with LinCAN; see file     */
/* COPYING. If not, write to the Free Software Foundation, 675 Mass Ave,  */
/* Cambridge, MA 02139, USA.                                              */
/*                                                                        */
/* To allow use of LinCAN in the compact embedded systems firmware        */
/* and RT-executives (RTEMS for example), main authors agree with next    */
/* special exception:                                                     */
/*                                                                        */
/* Including LinCAN header files in a file, instantiating LinCAN generics */
/* or templates, or linking other files with LinCAN objects to produce    */
/* an application image/executable, does not by itself cause the          */
/* resulting application image/executable to be covered by                */
/* the GNU General Public License.                                        */
/* This exception does not however invalidate any other reasons           */
/* why the executable file might be covered by the GNU Public License.    */
/* Publication of enhanced or derived LinCAN files is required although.  */
/**************************************************************************/

#ifndef __HMS30C7202_CAN__
# define __HMS30C7202_CAN__

int hms30c7202_init_hw_data(struct candevice_t *candev);
int hms30c7202_init_chip_data(struct candevice_t *candev, int chipnr);
int hms30c7202_request_io(struct candevice_t *candev);
int hms30c7202_release_io(struct candevice_t *candev);
int hms30c7202_reset(  struct candevice_t *candev);
void hms30c7202_write_register(unsigned data, can_ioptr_t address);
unsigned hms30c7202_read_register(can_ioptr_t address);



int hms30c7202_init_obj_data(struct canchip_t *chip, int objnr);
int hms30c7202_program_irq(struct candevice_t *candev);

#endif /* __HMS30C7202_CAN__ */
